Portable License Utility

Learn Portable License Utility Concepts
Portable Licensing Utility >
Portable License Utility

With the Portable License utility, you can use an Autodesk® product on more than one computer without purchasing a separate license for each computer. The Portable License utility transfers a product license from one computer to another, and ensures that the product works only on the computer that contains the license.

NoteAlthough the Portable License utility allows you to transfer your product license between computers, your license agreement may not allow the installation of an Autodesk product on more than one computer. Read your license agreement to find out whether your product license permits the use of the Portable License utility.

Topics in this section

  • Learn Portable License Utility Concepts
  • Transfer a License
  • View or Change Computer Information
  • Perform Other Portable License Utility Tasks
  • Use Command Line Switches
Please send us your comment about this page


Learn Portable License Utility Concepts

Portable License Utility
Portable License Utility
Computers
Portable Licensing Utility > Portable License Utility >
Learn Portable License Utility Concepts

Before you use the Portable License utility, it is important that you know some key licensing concepts.

Topics in this section

  • Computers
  • Licenses
  • License Transfer Options


Computers

Learn Portable License Utility Concepts
Learn Portable License Utility Concepts
Licenses
Portable Licensing Utility > Portable License Utility > Learn Portable License Utility Concepts >
Computers

In the Portable License utility, a computer identification code uniquely identifies a computer. This unique identifier allows you to transfer a product license between one computer and another.

Computer Identification Code

The unique computer identifier that the Portable License utility assigns to a computer. The computer identification code is stored in a transfer file or transfer code.

Run the Portable License utility on a computer to see the computer identification code displayed at the bottom of the window.

NoteAny changes you make to your computer that may affect the computer identification code can damage the license and make it unusable. Examples of such changes include adding, reformatting, or removing a hard drive. See Save a License During Computer Hardware Modifications for more information.
Computer List

A list that stores the names and identification codes of computers to which a license can be exported.

Source Computer

The computer where the license is currently active. Licenses are exported from the source computer.

Target Computer

The computer that receives a license. Once a computer has a license imported to it, it becomes the source computer.


Licenses

Computers
Learn Portable License Utility Concepts
License Transfer Options
Portable Licensing Utility > Portable License Utility > Learn Portable License Utility Concepts >
Licenses

With the Portable License utility, you can move the license for an Autodesk product between computers. For example, you may want to move a product license to your laptop computer so you can work at home.

License File

Contains the license rights that define whether or not you can run a product on a computer. The properties contained in a license file help you to decide whether to export or import the license. Each time you start the Portable License utility, only licenses that have a status of Active are displayed. Active licenses have not been exported and can be exported to another computer. You can also view all of the licenses that reside on your computer, regardless of their status.

Grace Period for an Emergency License

A twenty-four hour grace period in which you can run the product on the source computer after the license has been moved to another computer. When the grace period expires, however, the source computer cannot run the product again until you complete a “round trip” of the license (once you have moved the license to the target computer, you need to move it from that computer back to the computer where the license originated). The grace period may not be available if you have recently used the emergency license on the source computer.


License Transfer Options

Licenses
Learn Portable License Utility Concepts
Transfer File
Portable Licensing Utility > Portable License Utility > Learn Portable License Utility Concepts >
License Transfer Options

You can use either of the following license transfer options when you are ready to transfer a license to another computer.

Topics in this section

  • Transfer File
  • Transfer Code


Transfer File

License Transfer Options
License Transfer Options
Transfer Code
Portable Licensing Utility > Portable License Utility > Learn Portable License Utility Concepts > License Transfer Options >
Transfer File

Contains the exported license file and is read by the Portable License utility on another computer to import the license. You can move a transfer file to the target computer on a disk, in a shared network folder, or as an email attachment. Transfer files have the file extension .plu250.

The first time you export a license to a target computer, the Portable License utility creates a transfer file that must be imported to the target computer. You must also use a transfer file in the following circumstances:

  • When copying to a target computer the list of names and identification codes in the computer list of the source computer.
  • When changing any license terms since the last license transfer—for example, when switching from an Educational to Commercial version of the product.


Transfer Code

Transfer File
License Transfer Options
Transfer a License
Portable Licensing Utility > Portable License Utility > Learn Portable License Utility Concepts > License Transfer Options >
Transfer Code

A 16-character code generated by the computer that is exporting a license. If you have previously used a transfer file to transfer a license, the license data already exists on the target computer, so you can simply enter the generated transfer code in the Import License dialog box on the target computer when you import the license.


Transfer a License

Transfer Code
Portable License Utility
Install the Autodesk Product
Portable Licensing Utility > Portable License Utility >
Transfer a License

Using the Portable License utility, you can transfer an Autodesk product license between computers. You may want to transfer a license to a computer temporarily (if you want to use an Autodesk product on your home computer, for example) or permanently (if the computer where you originally activated your Autodesk product is being replaced). You can leave the license on the secondary computer indefinitely, or you can move the license between computers as needed.

If you need to distribute licenses to many users at one time (in a classroom setting, for example), you may want to have more than one Autodesk product license on a computer at a time. The Portable License utility helps you to manage the transfer of multiple licenses from a single computer.

Set Up the Source and Target Computers

When you transfer a license for the first time, it's important that you set up your source and target computers properly. Here are the steps in the initial setup process.

Step 1: Install the Autodesk Product on the source and target computers.

Step 2: Obtain the Computer Identification Code from the Target Computer.

Step 3: Add the Target Computer Identification Code to the Computer List on the Source Computer.

Transfer Between Computers

After you set up your computers to run the Portable License utility, you can export and import your license as needed. Here are the steps in a license transfer.

Step 1: Export a License from the Source Computer.

Step 2: Import a License to the Target Computer.

Topics in this section

  • Install the Autodesk Product
  • Obtain the Computer Identification Code from the Target Computer
  • Add the Target Computer Identification Code to the Computer List on the Source Computer
  • Export a License from the Source Computer
  • Import a License to the Target Computer


Install the Autodesk Product

Transfer a License
Transfer a License
Obtain the Computer Identification Code from the Target Computer
Portable Licensing Utility > Portable License Utility > Transfer a License >
Install the Autodesk Product

Before you can use the Portable License utility to transfer licenses, you must have an Autodesk product installed on both the source computer and the target computer.

To install the Autodesk product

  1. Install and activate the Autodesk product on the source computer.

    See your product's installation instructions for complete details.

  2. Install the Autodesk product on the target computer. You do not have to register or activate the product on your target computer.

    See your product's installation instructions for complete details.

NoteWhen the Autodesk product license is imported to the target computer, you can run the product there without having to register or activate the product. When you use the Portable License utility to transfer a license to a target computer, you are not activating the product on the target computer; you are simply transferring your activation to this machine.


Obtain the Computer Identification Code from the Target Computer

Install the Autodesk Product
Transfer a License
Add the Target Computer Identification Code to the Computer List on the Source Computer
Portable Licensing Utility > Portable License Utility > Transfer a License >
Obtain the Computer Identification Code from the Target Computer

The first time that you plan to import a license to the target computer, you need to obtain the computer identification code of the target computer. The computer identification code is the unique computer identifier that the Portable License utility assigns to a computer. Without this code, a license cannot be transferred.

To obtain a computer identification code from the target computer

  1. On the target computer, click Start menu (Windows) [image] All Programs (or Programs) [image] Autodesk [image] [Autodesk product name] [image] Portable License Utility.
  2. Write down the computer identification code, which is shown in the lower-left corner of the Portable License Utility window.

    You will add the computer identification code from this target computer to the computer list on the source computer.


Add the Target Computer Identification Code to the Computer List on the Source Computer

Obtain the Computer Identification Code from the Target Computer
Transfer a License
Export a License from the Source Computer
Portable Licensing Utility > Portable License Utility > Transfer a License >
Add the Target Computer Identification Code to the Computer List on the Source Computer

Once you have obtained a computer identification code from the target computer, you must add it to the list of computers that will share a product license on the source computer.

To add a computer to the computer list

  1. On the source computer, click Start menu (Windows) [image] All Programs (or Programs) [image] Autodesk [image] [Autodesk product name] [image] Portable License Utility.
  2. In the Portable License utility, click the Computers tab.

    A list of computers to which you can export a license is displayed.

  3. Click Add.
  4. In the Add Computer dialog box, enter the computer name and computer identification code of the target computer. Click OK.

    The information you added is displayed in the computer list on the Computers tab.

  5. In the Portable License Utility window, click Close.


Export a License from the Source Computer

Add the Target Computer Identification Code to the Computer List on the Source Computer
Transfer a License
Import a License to the Target Computer
Portable Licensing Utility > Portable License Utility > Transfer a License >
Export a License from the Source Computer

After you add the target computer's identification code to the computer list, you export the license from the source computer.

When you move a product license from one computer and plan to add it to another computer, you are exporting that license. A license is exported when the Portable License utility converts an active product license into a portable format (either transfer file or transfer code) that can be moved to the target computer.

NoteThe Portable License utility has a twenty-four hour grace period, during which time you can run the product on the source computer after the license has been moved to another computer. When the grace period expires, however, the source computer cannot run the product again until you complete a “round trip” of the license (once you have moved the license to the target computer, you need to move it from that computer back to the source computer). The grace period may not be available if you have recently used the emergency license on the source computer.

To export a license

  1. On the source computer, click Start menu (Windows) [image] All Programs (or Programs) [image] Autodesk [image] [Autodesk product name] [image] Portable License Utility.
  2. On the Licenses tab, select the license you want to export. Click Export License.

    The Export License dialog box displays the Autodesk product name and license name, and lists the computer name and identification code of all computers in the computer list.

  3. In the Export To list, select a Target Computer.
    NoteThe target computer is the only place this exported license can go. You cannot select one target computer now and then transfer the license to a different computer. In the Export To list, select a target computer.
  4. Check your notes to verify that the identification code is correct for the target computer.

    The identification code displayed here must match the code on the target computer exactly.

  5. Under Export Type, select an export type.
    NoteYou must select Use Transfer File if this is the first time you are transferring this license to the target computer. The transfer file contains license information needed by the target computer.
  6. Click Transfer License.
  7. In the Export Succeeded dialog box, click OK.
  8. In the Portable License Utility window, click Close.


Import a License to the Target Computer

Export a License from the Source Computer
Transfer a License
View or Change Computer Information
Portable Licensing Utility > Portable License Utility > Transfer a License >
Import a License to the Target Computer

Once you have exported a product license from the source computer, you complete the license transfer process by importing that license on the target computer. A license is imported when the Portable License utility accepts the portable license format (transfer file or transfer code) and creates an active license on this computer, allowing your Autodesk product to run on this computer.

To import a license

  1. On the target computer, click Start menu (Windows) [image] All Programs (or Programs) [image] Autodesk [image] [Autodesk product name] [image] Portable License Utility.
  2. On the Licenses tab, click Import License.
  3. In the Import License dialog box, select a license transfer option. Make sure that you select the same transfer option that you used when you exported the license.
    NoteIf you have misplaced the transfer code or transfer file, return to the source computer that had the active license. Run the Portable License utility and export the license again. You must export the license to the same target computer that you originally selected.
  4. Click Import.

    The license is now imported to the target computer; you can now run your Autodesk product on this computer. If you want to return the license to the original computer, repeat the export and import procedures.

  5. In the Portable License Utility window, click Close.


View or Change Computer Information

Import a License to the Target Computer
Portable License Utility
View License Properties
Portable Licensing Utility > Portable License Utility >
View or Change Computer Information

In addition to transferring a product license from one computer to another, you can view license properties and change computer information using the Portable License utility. For example, you can see where a license has been exported, or you can change a computer identification code if you've previously entered it incorrectly.

Topics in this section

  • View License Properties
  • Edit Computer Information
  • Remove a Computer from the Computer List
  • Migrate Existing Computer Information


View License Properties

View or Change Computer Information
View or Change Computer Information
Edit Computer Information
Portable Licensing Utility > Portable License Utility > View or Change Computer Information >
View License Properties

In the Portable License utility, you can view a license's properties, including the name, type, and status of the license.

License types include the following:

Full

An activation code has been received and entered for this license.

Trial

A trial (unactivated) license has been temporarily granted for this product. The first time a product is installed and run on a computer, a trial license is automatically granted for a short time, without an activation code.

Unknown

The Portable License utility is unable to recognize the license.

License statuses include the following:

Active

The license can be used to run the product or can be exported.

Broken

The license must be activated again by running the product. The license cannot be exported.

Expired

The license was valid only until a certain date, which has now passed. The license cannot be exported.

Exported

The license has already been transferred from this computer.

Unknown

The Portable License utility is unable to recognize the license.

This information can help you decide whether you want to export or import a license.

To view license properties

  1. On the source computer, click Start menu (Windows) [image] All Programs (or Programs) [image] Autodesk [image] [Autodesk product name] [image] Portable License Utility.
  2. On the Licenses tab, right-click a license in the list.
  3. Click Properties.
  4. In the License Properties dialog box, view the properties of the license.
  5. Click Close.
  6. In the Portable License Utility window, click Close.


Edit Computer Information

View License Properties
View or Change Computer Information
Remove a Computer from the Computer List
Portable Licensing Utility > Portable License Utility > View or Change Computer Information >
Edit Computer Information

If you added an incorrect computer name or identification code in a computer list, or if the computer identification code has changed, use the Computers tab in the Portable License Utility window to correct that computer information.

To edit computer information

  1. On the source computer, click Start menu (Windows) [image] All Programs (or Programs) [image] Autodesk [image] [Autodesk product name] [image] Portable License Utility.
  2. Click the Computers tab.

    The computer list is displayed. This list shows the names and computer identification codes of computers that can share an Autodesk product license.

  3. Select the computer name whose information you want to edit. Click Edit.
  4. In the Edit Computer dialog box, edit the computer name or computer identification code. Click OK.
  5. On the Computers tab, view the information you edited.
  6. In the Portable License Utility window, click Close.


Remove a Computer from the Computer List

Edit Computer Information
View or Change Computer Information
Migrate Existing Computer Information
Portable Licensing Utility > Portable License Utility > View or Change Computer Information >
Remove a Computer from the Computer List

If you need to remove a computer from the list of computers that can share an Autodesk product license, use the Computers tab in the Portable License Utility window.

To remove a computer from the list

  1. On the source computer, click Start menu (Windows) [image] All Programs (or Programs) [image] Autodesk [image] [Autodesk product name] [image] Portable License Utility.
  2. Click the Computers tab.

    The computer list is displayed. This list shows the names and computer identification codes of computers that can share an Autodesk product license.

  3. Select the computer name that you want to remove. Click Remove.

    The Remove Computer message is displayed so that you can verify removing the selected computer name.

    NoteIf you remove a computer from the list, you cannot retrieve it. Remove a computer name from the list only if you are certain you will not need to access it again.
  4. Click Yes to remove the computer name.

    The computer name is deleted from the computer list on the Computers tab.

  5. In the Portable License Utility window, click Close.


Migrate Existing Computer Information

Remove a Computer from the Computer List
View or Change Computer Information
Perform Other Portable License Utility Tasks
Portable Licensing Utility > Portable License Utility > View or Change Computer Information >
Migrate Existing Computer Information

Even though this version of the Portable License utility is not compatible with Autodesk 2002-based products or earlier products, you can still migrate the computer lists from earlier versions to your current computer list. Use the Migrate button on the Computers tab to migrate earlier computer lists. You do not need to gather, verify, and retype information about the computers that you have already documented in an earlier version of the Portable License utility.

Thus, if you want to use a computer list from an Autodesk 2004- through 2007-based product, the computer list is automatically migrated for you when you use the current Autodesk Portable License utility for the first time.

NoteAutodesk 2004-based products use a different computer list than is used by more recent products. So, if you want to add new computer information to an Autodesk 2004-based product after you first run the current Portable License utility, you must manually add the new computer information to both the Autodesk 2004 and the current computer lists.

To migrate computer information

  1. On the source computer, click Start menu (Windows) [image] All Programs (or Programs) [image] Autodesk [image] [Autodesk product name] [image] Portable License Utility.
  2. Click the Computers tab.
  3. Click Migrate.
  4. In the Migrate Existing Computer Lists dialog box, in the Select the Drives to be Searched for Existing Computer Lists list, click the box next to each drive that you want to search.
  5. Click Begin Search.
  6. In the Select the Computer Lists to be Merged into the Current List list, click the box next to each file that you want to merge with the existing list. Click Migrate.

    The Merged Computer Information message is displayed, informing you of the number of computers added to your computer list.

  7. Click OK.
  8. In the Portable License Utility window, click Close.


Perform Other Portable License Utility Tasks

Migrate Existing Computer Information
Portable License Utility
Re-export a License
Portable Licensing Utility > Portable License Utility >
Perform Other Portable License Utility Tasks

You can use the Portable License utility to re-export a license. For example, if you lose a license transfer file, you can create the license again by re-exporting it.

You can also use the Portable License utility to save a license when you make changes to the computer's hard drive; for example, if you partition a hard drive and want to make sure the product license is not lost in the process.

Topics in this section

  • Re-export a License
  • Save a License During Computer Hardware Modifications


Re-export a License

Perform Other Portable License Utility Tasks
Perform Other Portable License Utility Tasks
Save a License During Computer Hardware Modifications
Portable Licensing Utility > Portable License Utility > Perform Other Portable License Utility Tasks >
Re-export a License

If you need to regenerate a license (if you lose a license transfer file or transfer code, for example), you can recreate it by exporting the license again from the source computer. (This is one reason you obtain the license from the target computer when you initially set up a license transfer between two computers.) The Portable License utility can identify the target computer where you exported the original license, so you can only re-export the license to that same computer.

WarningBefore you re-export a license, make sure that the target computer has had no hardware changes since you obtained its computer identification code. Hardware changes (such as partitioning a hard drive) may disable the license on that computer, which will prevent your Autodesk product from running. For more information about preventing license transfer problems after hardware changes, see Save a License During Computer Hardware Modifications.

To re-export a license

  1. On the source computer, click Start menu (Windows) [image] All Programs (or Programs) [image] Autodesk [image] [Autodesk product name] [image] Portable License Utility.
  2. On the Licenses tab, select the license you want to re-export. Click Export License.

    The Export License dialog box displays the Autodesk product name and license name, and lists the computer name and identification code of all computers in the computer list.

  3. In the Export To list, select the same target computer you used the first time you exported the license.
  4. Check your notes to verify that the identification code is correct for the target computer.

    The identification code displayed here must match the code on the target computer exactly.

  5. Select the same export type you used the first time you exported the license.
  6. Click Transfer License.
  7. In the Export Succeeded dialog box, click OK.
  8. In the Portable License Utility window, click Close.


Save a License During Computer Hardware Modifications

Re-export a License
Perform Other Portable License Utility Tasks
Use Command Line Switches
Portable Licensing Utility > Portable License Utility > Perform Other Portable License Utility Tasks >
Save a License During Computer Hardware Modifications

Sometimes you may need to make modifications to a computer that has a product license on it. To make sure the license does not get lost or deleted while you are making hardware modifications, you should first export the license to a target computer until you are ready to move it back to the source computer. For example, you may want to do one of the following:

  • Partition the hard drive.
  • Reformat the hard drive.
  • Delete a drive.

To save a license during hardware modifications

  1. Export the product license. See Export a License from the Source Computer for instructions.
  2. On the target computer, import the license. See Import a License to the Target Computer for instructions.
  3. On the source computer, make the required hardware modifications.
  4. On the computer where the license now resides (the target computer in step 2, now the source computer), run the Portable License utility.
  5. Click the Computers tab and verify that the computer identification code for the other computer has not changed.

    If the computer identification code has changed, update the new computer identification code in the computer list on this computer. See Edit Computer Information for instructions.

  6. On the computer where the license now resides (the target computer in step 2, now the source computer), export the product license. See Export a License from the Source Computer for instructions.
  7. On the computer where you made the hardware modifications (the source computer in step 1, now the target computer), import the license. See Import a License to the Target Computer for instructions.


Use Command Line Switches

Save a License During Computer Hardware Modifications
Portable License Utility
Portable License Utility Dialog Box
Portable Licensing Utility > Portable License Utility >
Use Command Line Switches

Command line switches are parameters that you can add to the Portable License utility executable command line (plu250.exe for 2005-based products and plu26.exe for current products) to perform additional operations.

To use command line switches, you need to have a basic understanding of how to execute DOS commands.

Command line switch

Definition

/P:license_number

Defines which product license you are going to import or export. You can view the license number in the Properties dialog box in the Portable License utility.

/Q

Runs the import/export operation in “quiet” mode. When the Portable License utility runs in quiet mode, error messages are not displayed during operations that do not require your interaction; only error codes are shown.

NOTE: If an error code is shown, do the operation again with the quiet mode switch disabled to view the corresponding error message.

/I:transfer_code

Displays the transfer code used to import a license.

/E:identification_code

Defines the computer identification code of the computer you want to export the license to.

/N:instance_name

Specifies a license by name to export when there is more than one exportable license available.

/O:file_name

Defines the file name and path of where the license file is written when exporting a license. If a file name is not specified in quiet mode, a transfer code is displayed in a console window.

/L:language_identifier

Uses the language given by language_identifier, if available. Defaults to the current locale, or to International English if no other language data can be located.

Command line switch examples
Syntax | Action
plu26 /P:BD226000 | Starts the Portable License utility with product BD226000.
plu26 /P:BD226000 /Q /E:1A8X3S2D8D7SM34M /O:A:\MyLicense | Exports a license in quiet mode.
plu26 <path_file_name> | Imports a license with a transfer file.
plu26 /I:RDRH5N1XE9UEEY66 | Imports a license with the transfer code RDRH5N1XE9UEEY66.


Portable License Utility Dialog Box

Use Command Line Switches
Licenses Tab
Portable Licensing Utility >
Portable License Utility Dialog Box

Allows you to use an Autodesk product on more than one computer without purchasing a separate license for each computer.

Menu: Start [image] All Programs (or Programs) [image] Autodesk [image] [Autodesk product name] [image] Portable License Utility
Command entry: plu.exe (from DOS command prompt)

The Portable License Utility allows you to use an Autodesk product on more than one computer without purchasing a separate license for each computer.

The Portable License Utility dialog box contains two tabs, and displays the computer identification code for the computer where you are running the Portable License utility.

Licenses Tab

Displays a list of Autodesk product licenses and each one's type, status, and expiration date, and allows you to import and export a license.

Computers Tab

Displays a list of computers where you can export a license, and each computer's corresponding identification code. Allows you to add a target computer to the list, edit a computer's name and identification code, remove a computer from the computer list, and migrate existing computer information from earlier versions of the Portable License utility.

Identification Code for This Computer

Displays a sixteen-character identification code that uniquely identifies this computer.

Topics in this section

  • Licenses Tab
  • Computers Tab
  • Export License Dialog Box
  • Exported License Dialog Box
  • Add Computer Dialog Box
  • Edit Computer Dialog Box
  • Import License Dialog Box
  • License Not Found Dialog Box
  • Migrate Existing Computer Lists Dialog Box
  • Computer ID Duplication Dialog Box
  • Computer Name Duplication Dialog Box


Licenses Tab

Portable License Utility Dialog Box
Portable License Utility Dialog Box
Computers Tab
Portable Licensing Utility > Portable License Utility Dialog Box >
Licenses Tab

Displays a list of Autodesk product licenses and each one's type, status, and expiration date, and allows you to import and export a license.

Product

Displays a list of those Autodesk products that are installed on your computer and that contain the latest Portable License utility.

Show All Licenses

If selected, displays all licenses in the license list, whether or not the licenses can be exported to another computer. If cleared, displays only licenses with the status of Active in the license list.

Icons

Displays the following icons to the left of a license name.

Icon

Description

The license is active. You can use the license on this computer.

The license is broken or expired. You cannot use or export the license.

The license has already been exported to another computer. You cannot use the license, but you can re-export it to the same computer where you last exported it.

License Name

Displays the license name.

Type

Displays one of three license types.

Type

Description

Full

An activation code has been received and entered for this license.

Trial

A trial (unactivated) license has been temporarily granted for this product. The first time a product is installed and run on a computer, a trial license is automatically granted for a short time, without an activation code.

Unknown

The Portable License utility is unable to recognize the license.

Status

Displays one of five license statuses.

Status

Description

Active

The license can be used to run the product or can be exported.

Broken

The license must be activated again by running the product. The license cannot be exported.

Expired

The license was valid only until a certain date, which has now passed. The license cannot be exported.

Exported

The license has already been transferred from this computer.

Unknown

The Portable License utility is unable to recognize the license.

Expiration

Displays the date when a license expires.

Type

Description

Never

Indicates that there is no expiration date.

Date

Indicates the expiration date of the license.

Unknown

Indicates that the Portable License utility is unable to recognize the license.

Import License

Displays the Import License dialog box, where you complete the license transfer to the target computer. You can select an import option (transfer code or transfer file). You can also view the properties of the license you are about to import, to confirm that you have selected the correct license file.

Export License

Displays the Export License dialog box, where you can start the license transfer from the source computer. You can confirm that the license you chose on the Licenses tab is the correct one to export. You also choose a method (transfer code or transfer file) for exporting the license, browse to a location where you save the transfer file, and choose whether to include the full computer list with the transfer file.


Computers Tab

Licenses Tab
Portable License Utility Dialog Box
Export License Dialog Box
Portable Licensing Utility > Portable License Utility Dialog Box >
Computers Tab

Displays a list of computers where you can export a license, and each computer's corresponding identification code. Allows you to add a target computer to the list, edit a computer's name and identification code, remove a computer from the computer list, and migrate existing computer information from earlier versions of the Portable License utility.

Computer Name

Displays the names of all the computers that can share a product license.

Identification Code

Displays the identification codes of all the computers that can share a product license.

Add

Opens the Add Computer dialog box, where you can add a computer to the group of computers that can share a product license.

Edit

Opens the Edit Computer dialog box, where you can change the name or identification code for any computer in the list.

Remove

Displays the Remove Computer message, which verifies that you want to remove the selected computer from the computer list.

The name and identification code for the computer are deleted. If you want to add the computer again, you need to generate a new computer identification code from the target computer.

Migrate

Opens the Migrate Existing Computer Lists dialog box, where you can select computer lists from earlier versions of the Portable License utility to add to your current computer list. Use this option if you have an existing list and do not want to re-enter all of the computer information.


Export License Dialog Box

Computers Tab
Portable License Utility Dialog Box
Exported License Dialog Box
Portable Licensing Utility > Portable License Utility Dialog Box >
Export License Dialog Box

Starts the license transfer from the source computer. You can confirm that the license you chose on the Licenses tab is the correct one to export. You also choose a method (transfer code or transfer file) for exporting the license, browse to a location where you save the transfer file, and choose whether to include the full computer list with the transfer file.

Product

Displays the Autodesk product whose license you want to export.

License Name

Displays the name of the license you want to export.

Export To

Displays the computer name and identification code of the computer where you want to export the license.

Export Type

Displays the two methods for exporting a license.

Export Type

Description

Transfer Code

If available, displays the transfer code. You must write down the transfer code that you see here, and then enter it into the Portable License utility on the target computer.

Transfer File

Generates a transfer file, which you move to the target computer (by email attachment or by diskette).

Browse

Opens the Save License Transfer File dialog box, where you can browse your computer or network for the location where you want to save your license transfer file.

Include Entire Computer List with Transfer File

Allows you to export the entire computer list along with the transfer file. If this option is not selected, only the transfer file is exported.

Transfer License

Completes the transfer of a license and displays the Export Succeeded message, which confirms that the export was successful. At this point, your Autodesk product license is disabled on the source computer and is available to be imported to the target computer.


Exported License Dialog Box

Export License Dialog Box
Portable License Utility Dialog Box
Add Computer Dialog Box
Portable Licensing Utility > Portable License Utility Dialog Box >
Exported License Dialog Box

Displays when you attempt to export a license that has already been exported to another computer.

Computer Name

Displays the name of the target computer from the last time the license file was exported.

Indentification Code

Displays the computer identification code of the target computer from the last time the license file was exported.

Original Transfer Code

Displays the transfer code from the source computer. The transfer code can be used to import the previously exported license to the original target computer.

Save License Transfer File

Opens the Save License Transfer File dialog box, where you can save a transfer file. The transfer file can then be used to import the previously exported license.


Add Computer Dialog Box

Exported License Dialog Box
Portable License Utility Dialog Box
Edit Computer Dialog Box
Portable Licensing Utility > Portable License Utility Dialog Box >
Add Computer Dialog Box

Adds a computer name and computer identification code to the list of computers where you can transfer a license. A list of computers is displayed on the Computers tab of the Portable License Utility dialog box.

Computer Name

Names the computer you want to add. You can enter any name here. For example, you might want to use text that describes the computer and that helps you distinguish it from other computers in the list.

Identification Code

Specifies the computer identification code for the computer you want to add. (This code is generated when you run the Portable License utility on a computer. The code is shown in the lower-left corner off the Portable License utility window.) The code that you enter here must match the original code exactly. You will not be able to transfer a license if this code isn't correct.


Edit Computer Dialog Box

Add Computer Dialog Box
Portable License Utility Dialog Box
Import License Dialog Box
Portable Licensing Utility > Portable License Utility Dialog Box >
Edit Computer Dialog Box

Edits the computer name and computer identification code of a computer listed on the Computers tab of the Portable License Utility dialog box.

Computer Name

Displays the name of the computer that you selected for editing.

Identification Code

Displays the computer identification code that the Portable License Utility assigned to the computer that you selected. Change this identification code if you originally entered the code incorrectly, or if the code has changed.


Import License Dialog Box

Edit Computer Dialog Box
Portable License Utility Dialog Box
License Not Found Dialog Box
Portable Licensing Utility > Portable License Utility Dialog Box >
Import License Dialog Box

Completes the license transfer to the target computer. You can select an import option (transfer code or transfer file). You can also view the properties of the license you are about to import, to confirm that you have selected the correct license file.

Import Options

Provides options to import an Autodesk product license file using a transfer code or a transfer file.

Option

Description

Use Transfer Code

If available, displays the transfer code. If you have previously used a transfer file to transfer a license, you can simply write down the transfer code and add it to the computer where you are transferring the license. You do not need to physically transfer the transfer file to a computer.

Use Transfer File

Contains information that is necessary to transfer a license between computers for the first time, or when you have changed the license details since the last transfer. You can transfer a file on a diskette, in a shared network folder, or as an email attachment.

Import

Imports a license file.

Browse

Opens the Select License Transfer File dialog box, where you can browse your computer and network so that you can select the license transfer file you want to use.

License Properties

Displays the license properties for the license selected on the License tab. This information is displayed only when the Transfer File option is selected.

Property

Description

Product

Displays the Autodesk product name for the license you want to import.

License Name

Displays the license name for the license you want to import.

Export Date

Displays the date that the license file was exported from another computer.

Exported To

Displays the name of the computer that exported the license file.


License Not Found Dialog Box

Import License Dialog Box
Portable License Utility Dialog Box
Migrate Existing Computer Lists Dialog Box
Portable Licensing Utility > Portable License Utility Dialog Box >
License Not Found Dialog Box

Displays when you try to use an Autodesk product and there isn't a license for the product on your computer. To add a license to this computer, you can either import a license or forward your computer's identification code to a computer that has a license, get the license, and then import that license.

Import License File

Opens the Import License dialog box, where you can import a license by using either a transfer code or transfer file.

Computer Indentification Code

Displays a sixteen-character identification code that uniquely identifies this computer.


Migrate Existing Computer Lists Dialog Box

License Not Found Dialog Box
Portable License Utility Dialog Box
Computer ID Duplication Dialog Box
Portable Licensing Utility > Portable License Utility Dialog Box >
Migrate Existing Computer Lists Dialog Box

Provides a method for locating and merging existing computer lists into a current computer list. If you have computer lists that you used with an earlier version of the Portable License utility, you don't need to re-enter computer and license information.

Select the Drives to be Searched for Existing Computer Lists

Selects the drives to search for existing computer lists.

Begin Search

Initiates the search on the selected drives for existing computer lists.

Stop Search

Cancels the search on the selected drives for existing computer lists.

Select the Computer Lists to be Merged into the Current List

When the search is complete, displays any existing computer lists. If no lists were found, then this area is blank.

Migrate

Merges existing computer lists with the current computer list. When the migration of the computer list is complete, the Merged Computer Information message is displayed. The number of computers that were added to your current list is shown.


Computer ID Duplication Dialog Box

Migrate Existing Computer Lists Dialog Box
Portable License Utility Dialog Box
Computer Name Duplication Dialog Box
Portable Licensing Utility > Portable License Utility Dialog Box >
Computer ID Duplication Dialog Box

Allows you to replace a computer identification code that already exists in the computer list.

Computer Name

Displays the name of the computer you are about to import or migrate.

Identification Code

Displays the ID of the computer you are about to import or migrate.

A Computer Name with the Same Identification Code Already Exists

Identifies the computer that contains the duplicate computer information.

Replace Existing Entry

If selected, allows you to replace the duplicate computer identification code in the computer list.

Do Not Add This Entry

If selected, does not add the entry to the computer list.


Computer Name Duplication Dialog Box

Computer ID Duplication Dialog Box
Portable License Utility Dialog Box
Glossary
Portable Licensing Utility > Portable License Utility Dialog Box >
Computer Name Duplication Dialog Box

Allows you to change or replace a computer name that already exists in the computer list.

Change Computer Name

If selected, allows you to change the computer name that you are about to import or migrate.

Replace Existing Entry

If selected, allows you to replace the duplicate computer name in the computer list.

Do Not Add This Entry

If selected, does not add the entry to the computer list.

Change Name

Displays the name of the current computer.

Identification Code

Displays the computer ID of the current computer.


Glossary

Computer Name Duplication Dialog Box
Portable Licensing Utility >
Glossary
active

A license status indicating that you can export a license to a target computer. You can also use an active license to run a product.

broken

A license status indicating that a license must be activated again by running the product. A broken license cannot be exported or used to run the product.

computer identification code

The code created by the Portable License utility to uniquely identify a computer. Run the Portable License utility to see the computer identification code. The code is displayed in the Portable License Utility window. (Called machineidentification code in earlier releases of this product.)

computer list

A list that stores the names and identification codes of computers where a license can be exported.

computer name

A name or alphanumeric combination that identifies a computer. You can type in any text that describes the computer and helps you to distinguish it from other computers in the computer list.

computer pool

See computer list.

emergency license

A license that grants a twenty-four hour grace period in which you can run the product on the source computer after the license has been moved to another computer.

expiration date

The last day when a license can be used to run a product.

expired

A license status indicating that a license was valid only until a certain date, which has now passed. An expired license cannot be exported or used to run the product.

export

To transfer a license from a source computer to a target computer.

exported

A license status indicating that a license has been moved to another computer using the Portable License utility. An exported license can be exported again, but only to the same target computer where you originally exported it.

full

A license type indicating that an activation code has been received and entered for a license.

grace period

A 24-hour period during which a product can still run, even though its product license has been exported. The grace period is turned on if you attempt to run the product on the source computer after the license has been moved to another computer. The grace period may not be available if you have recently used an emergency license on the same computer.

import

To obtain a license from a computer that has exported the license and specified this computer as the target computer.

license

A file that allows an Autodesk product to run on a computer.

license behavior

An indication of whether a license is valid for a limited time, and if so, whether the time can be extended.

license status

A description of the availability of a license. License statuses include Active, Broken, Expired, and Exported.

license type

The usage limitations for a given license. License types include Full and Trial.

machine identification code

See computer identification code.

pool

See computer list.

round trip

A process that is required to re-activate a product license on a computer that has had a license transferred to another computer. A round trip is complete after a license has been transferred from the source computer onto the target computer, exported from that target computer, and then imported back on to the source computer.

source computer

The computer where a license is currently active.

target computer

The computer that will receive an active license.

transfer

See export and import.

transfer code

A 16-character code generated by the computer that is exporting a license. After the first time a license is exported, it can be exported to the same computer by entering the transfer code. You enter this code in the Portable License utility on another computer to import the license.

transfer file

When a license is exported the first time, the Portable License utility moves it into a Transfer File. The Portable License utility reads this file on another computer to import the license. Transfer files have the file extension .plu250.

trial

A license type that indicates that a license is granted for a specified time, without needing an activation code. After the specified time expires, the trial license can no longer be used to run a product.


Comments?

Using this form sends your comments to the Autodesk Technical Publications group responsible for this documentation.

Topic title and location (do not edit):
Name (optional):
         Email (optional):
Comments:

Note: This form is not intended as a way for you to receive feedback or technical support. The information you provide will be used to enhance future updates to the documentation. Thanks!